Search
Common entrypoint for all search is /search. Main parameter for specifying what to search is kind.
Common parameters
- pageSize - page size used for pagination
- pageNumber - page number in pagination
- kind - what to search, values can be 'document', 'authority', 'exemplar', 'user'
- q - generic query parameter, used as global or 'whatewer'
- name - item name (document field 245, authority field 100, use person name, etc.)
Document search
When search for documents, specify kind=document parameter.
Specific parameters
Example 200
GET /api/search?kind=document&fond=1&name=babicka HTTP/1.1
Content-Type: application/json; charset=UTF-8
Host: https://demo.kpsys.cz
Content-Length: 0
{
"title": "babicka",
"subtitle": null,
"type": "",
"id": "LqvxiiCWQl-Je5RImqfiUw",
"result": {
"totalElements": 3,
"duration": 281,
"content": [
{
"fond": {
"id": 1,
"name": "Monografie",
"text": "Monografie"
},
"status": {
"id": 4,
"text": "Ukončená katalogizace"
},
"author": "aaaa bbbb",
"isbn": null,
"subTitle": "",
"name": "Babička",
"type": "document",
"id": "63a6c870-cbdf-43cb-ad7b-12bd4af083b0",
"kindedId": 97169,
"text": "Babička",
"exemplarable": true,
"withForeignOccurrences": false,
"publicationYear": 0,
"publisher": null,
"lastUpdateDate": "2020-11-04T14:51:42+01:00",
"cover": null,
"directoryId": 282019,
"volumeable": false,
"periodical": false
},
{
"fond": {
"id": 1,
"name": "Monografie",
"text": "Monografie"
},
"status": {
"id": 4,
"text": "Ukončená katalogizace"
},
"author": "Němcová, Božena,",
"isbn": null,
"subTitle": "obrazy venkovského života",
"name": "Babička",
"type": "document",
"id": "d7905d5d-0bc6-41b4-b3a8-b66c9af0a2f4",
"kindedId": 4334,
"text": "Babička",
"exemplarable": true,
"withForeignOccurrences": false,
"publicationYear": 1961,
"rating": null,
"publisher": "Praha : Státní nakladatelství krásné literatury a umění, 1961",
"lastUpdateDate": "2020-10-14T11:10:03+02:00",
"cover": null,
"directoryId": 19868,
"volumeable": false,
"periodical": false
},
{
"fond": {
"id": 1,
"name": "Monografie",
"text": "Monografie"
},
"status": {
"id": 0,
"text": "Nedefinován"
},
"author": "Hejná, Olga,",
"isbn": null,
"subTitle": "",
"name": "Tajemnica babci",
"type": "document",
"id": "f0e0a945-06f5-4fbb-aedb-c18bc6b0f164",
"kindedId": 14,
"text": "Tajemnica babci",
"exemplarable": true,
"withForeignOccurrences": false,
"publicationYear": 1972,
"rating": null,
"publisher": "Warszawa : Nasza Księgarnia, 1972",
"lastUpdateDate": "2020-10-19T09:25:32+02:00",
"cover": {
"id": 42968,
"name": "obálka",
"text": "obálka"
},
"directoryId": 71034,
"volumeable": false,
"periodical": false
}
],
"numberOfElements": 3,
"totalPages": 1,
"pageNumber": 1,
"pageSize": 10
}
}
Authority search
When search for authorities, specify kind=authority parameter.
Specific parameters
Example 200
GET /api/search?kind=authority&fond=31&name=Božena+Němcová HTTP/1.1
Content-Type: application/json; charset=UTF-8
Host: https://demo.kpsys.cz
Content-Length: 0
{
"title": "Božena Němcová",
"subtitle": null,
"type": "",
"id": "K9MwxcprTo2daXoKxvMHWw",
"result": {
"totalElements": 1,
"duration": 138,
"content": [
{
"name": "Božena Němcová",
"type": "authority",
"text": "Božena Němcová",
"fond": {
"id": 31,
"name": "Jména osob",
"text": "Jména osob"
},
"id": "b6d4b384-08f8-4e7b-8497-13e76893985d",
"kindedId": 191470,
"status": {
"id": 13,
"text": "Vlastní autorita"
},
"lastUpdateDate": "2020-09-06T15:43:24+02:00",
"cover": null,
"directoryId": 282021
}
],
"numberOfElements": 1,
"totalPages": 1,
"pageNumber": 1,
"pageSize": 30
}
}